{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.PHONE"
  },
  "caption" : "手机",
  "codeName" : "phonePhoneGridView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phonePhoneGridView.json",
  "gridRowActiveMode" : 2,
  "name" : "phonePhoneGridView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Ungroup.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "openMode" : "DRAWER_RIGHT",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phonePhoneEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "openMode" : "DRAWER_RIGHT",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phonePhoneEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "openMode" : "DRAWER_RIGHT",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phonePhoneEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "openMode" : "DRAWER_RIGHT",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phonePhoneEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA",
    "realOpenMode" : "DRAWER_RIGHT",
    "realTitle" : "手机主编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phonePhoneEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "OPENDATA",
    "realOpenMode" : "DRAWER_RIGHT",
    "realTitle" : "手机主编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phonePhoneEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realOpenMode" : "DRAWER_RIGHT",
    "realTitle" : "手机主编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phonePhoneEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "PhoneGridViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "主表格工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "caption" : "保存行",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSUIAction" : {
        "caption" : "保存行",
        "codeName" : "SaveRow",
        "fullCodeName" : "SaveRow",
        "name" : "表格界面_保存行",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "GRIDVIEW_SAVEROWACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "SaveRow",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存行",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "新建行",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf067@FontAwesome",
        "cssClass" : "fa fa-plus"
      },
      "getPSUIAction" : {
        "caption" : "新建行",
        "codeName" : "NewRow",
        "fullCodeName" : "NewRow",
        "name" : "表格界面_新建行",
        "getPSSysImage" : {
          "glyph" : "xf067@FontAwesome",
          "cssClass" : "fa fa-plus"
        },
        "predefinedType" : "GRIDVIEW_NEWROWACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "NewRow",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建行",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.REMOVE"
      },
      "caption" : "删除",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction3"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "MULTIKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.REMOVE"
        },
        "caption" : "删除",
        "codeName" : "Remove",
        "fullCodeName" : "Remove",
        "name" : "表格界面_删除操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "GRIDVIEW_REMOVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Remove",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
      },
      "uIActionTarget" : "MULTIKEY",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "grid",
    "modelid" : "AAB9FB72-B063-4E50-8424-C728C1406C3D",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "aggMode" : "PAGE",
    "codeName" : "MainPhone",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "getCreatePSControlAction" : {
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSGRIDS/MainPhone.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      }
    },
    "getGetPSControlAction" : {
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      }
    },
    "groupMode" : "NONE",
    "logicName" : "手机主表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "ctrlParams" : {
        "EDITSAVEMODE" : "manual"
      },
      "id" : "GRID"
    },
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "DataImport"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.PHONENAME"
      },
      "caption" : "手机名称",
      "codeName" : "phonename",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "phonename",
      "excelCaption" : "手机名称",
      "getFilterPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "n_phonename_like"
      },
      "name" : "phonename",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "PHONENAME",
        "codeName" : "PhoneName"
      },
      "width" : 200,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.PHONETYPE"
      },
      "caption" : "手机型号",
      "codeName" : "phonetype",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "phonetype",
      "excelCaption" : "手机型号",
      "getFilterPSEditor" : {
        "editorType" : "DROPDOWNLIST",
        "name" : "n_phonetype_eq",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__PhoneType.json"
        },
        "singleSelect" : true
      },
      "name" : "phonetype",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__PhoneType.json"
      },
      "getPSAppDEField" : {
        "name" : "PHONETYPE",
        "codeName" : "Phonetype"
      },
      "width" : 200,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "aggMode" : "SUM",
      "align" : "CENTER",
      "cLConvertMode" : "NONE",
      "caption" : "低价",
      "codeName" : "lowprice",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "lowprice",
      "excelCaption" : "低价",
      "name" : "lowprice",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "LOWPRICE",
        "codeName" : "LOWPRICE"
      },
      "unitName" : "元",
      "width" : 200,
      "widthUnit" : "PX",
      "enableSort" : true,
      "enableUnitName" : true
    }, {
      "aggMode" : "SUM",
      "align" : "RIGHT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.MONEY"
      },
      "caption" : "金额",
      "codeName" : "money",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "money",
      "excelCaption" : "金额",
      "name" : "money",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "MONEY",
        "codeName" : "Money"
      },
      "unitName" : "元",
      "width" : 200,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true,
      "enableUnitName" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEDATE"
      },
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updatedate",
      "excelCaption" : "更新时间",
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "phonename",
      "getPSAppDEField" : {
        "name" : "PHONENAME",
        "codeName" : "PhoneName"
      }
    }, {
      "dataType" : 25,
      "name" : "phonetype",
      "getPSAppDEField" : {
        "name" : "PHONETYPE",
        "codeName" : "Phonetype"
      }
    }, {
      "dataType" : 6,
      "name" : "lowprice",
      "getPSAppDEField" : {
        "name" : "LOWPRICE",
        "codeName" : "LOWPRICE"
      }
    }, {
      "dataType" : 6,
      "name" : "money",
      "getPSAppDEField" : {
        "name" : "MONEY",
        "codeName" : "Money"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "updatedate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "phoneid",
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      }
    }, {
      "dataType" : 25,
      "name" : "pphoneid3",
      "getPSAppDEField" : {
        "name" : "PPHONEID3",
        "codeName" : "Pphoneid3"
      }
    }, {
      "dataType" : 25,
      "name" : "pphoneid4",
      "getPSAppDEField" : {
        "name" : "PPHONEID4",
        "codeName" : "Pphoneid4"
      }
    }, {
      "dataType" : 25,
      "name" : "pphoneid",
      "getPSAppDEField" : {
        "name" : "PPHONEID",
        "codeName" : "Pphoneid"
      }
    }, {
      "dataType" : 25,
      "name" : "pphoneid2",
      "getPSAppDEField" : {
        "name" : "PPHONEID2",
        "codeName" : "Pphoneid2"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "PHONENAME",
        "codeName" : "PhoneName"
      }
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "手机名称",
      "codeName" : "phonename",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "phonename",
      "getPSAppDEField" : {
        "name" : "PHONENAME",
        "codeName" : "PhoneName"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 200,
        "name" : "phonename"
      },
      "allowEmpty" : true
    }, {
      "caption" : "手机型号",
      "codeName" : "phonetype",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "phonetype",
      "getPSAppDEField" : {
        "name" : "PHONETYPE",
        "codeName" : "Phonetype"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST",
        "name" : "phonetype",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__PhoneType.json"
        },
        "singleSelect" : true
      },
      "allowEmpty" : false,
      "needCodeListConfig" : true
    }, {
      "caption" : "金额",
      "codeName" : "money",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "money",
      "getPSAppDEField" : {
        "name" : "MONEY",
        "codeName" : "Money"
      },
      "getPSEditor" : {
        "editorType" : "NUMBER",
        "name" : "money"
      },
      "unitName" : "元",
      "allowEmpty" : true,
      "enableUnitName" : true
    }, {
      "caption" : "手机标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "pagingMode" : 1,
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      }
    },
    "sortMode" : "REMOTE",
    "getUpdatePSControlAction" : {
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      }
    },
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : true,
    "enableRowEditOrder" : false,
    "enableRowNew" : true,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "1D56425B-DB74-4F5F-B590-FCCE1B430DA1",
    "modeltype" : "PSDEGRID"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "DE.LNAME.PHONE"
    },
    "caption" : "手机",
    "codeName" : "PhoneGridViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "PhoneGridView",
  "getPSDEViewId" : "EB699A17-FE39-434F-9E13-91DBAAE13472",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "表格视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableQuickSearch" : true,
  "enableRowEdit" : true,
  "enableSearch" : true,
  "rowEditDefault" : false,
  "modelid" : "dacb91b6c366e80091a8bac2a7517cab",
  "modeltype" : "PSAPPDEVIEW"
}